Strict Standards: Only variables should be passed by reference in /home1/passjoe/public_html/debian/fp-includes/core/core.fpdb.class.php on line 301
Life, the Universe and Debian

Thursday, February 24, 2011

Check out my devio.us site


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

I got an OpenBSD shell account on devio.us. Here’s what I have in my web directory.

It won’t be long before I drop a FlatPress install in there.

Wednesday, February 23, 2011

I did a quick install of WordPress, then killed it — I’m looking for a flexible multiple-blog system


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

FlatPress has been working great, but I’m still exploring other blogging/CMS systems. I already have one WordPress install on my Hostgator shared-hosting account, and I used Hostgator’s automatic system to install another WordPress instance in a different domain.

That all went well, but what I really wanted was the ability to manage multiple blogs from a single WordPress instance. I made the first configuration change needed, but I couldn’t go further.
[Read More…]

The Epson Perfection V330 scanner and Debian (or any other kind of Linux, for that matter)


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

I got a deal on an Epson Perfection V330 scanner. It runs great in Windows 7 with the voluminous amount of software on the install CD. I hoped that it would work out of the box with Debian Squeeze. No such luck. Sane/Xsane doesn’t recognize it (although it’s in the dmesg).

I Googled for and found a few packages that got me going. (Here’s a report of this method working in Ubuntu.)
[Read More…]

Debian Squeeze and the Liquorix kernels — I update with Aptitude


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

I’ve been using the Liquorix kernels on my Debian Squeeze laptop almost since I installed Squeeze in its late-testing phase, and while the GNOME Update Manager doesn’t seem to want to update those kernels from Liquorix, I run Aptitude in a terminal and am able to keep up with the latest kernels.

I’m not exactly sure why Synaptic won’t perform this upgrade. Whenever there’s a new Liquorix kernel in its repository, I get an update icon in my upper GNOME panel (most things on this installation are vanilla Debian). When I run the Update Manager, I get a dialog box asking me whether or not I wish to perform a “safe upgrade.” It seems that whether I answer yes or no, I don’t get the new kernel.
[Read More…]

Saturday, February 19, 2011

Is Ubuntu playing with fire?


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

How’s that for an incendiary headline? Before I continue, here’s how I got here:

First I tested the Ubuntu 11.04 Natty Alpha image, which I thought way too raw for a release two months and barely two weeks away, with the Unity layer on top of GNOME barely functional.

Then I tried a pre-alpha of Fedora 15, due May 10, a full 10 days after Ubuntu Natty, and found that while I didn’t seem to be running GNOME Shell, it was GNOME 2.91.6 and pretty much worked as normal, and anchored a live system that was functional and responsive, though pretty darn ugly.

The comments on both entries were mostly written by Ubuntu defenders, telling me how wrong I was to judge Ubuntu by this alpha image, how it was going to rock at release time, and how I should a) do some research, b) screw my head on right and c) basically realize that Ubuntu can do no wrong, so shut the f*** up.
[Read More…]

Thursday, February 17, 2011

A successful (mostly) upgrade from Debian Lenny to Squeeze


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

It’s by no means a production system, but I still maintain and occasionally use a 1999-era Compaq Armada 7770dmt laptop that I purchased as quasi-surplus when I was just starting to explore Linux and BSD in 2007 or ‘08.

I paid $15, and hence the machine became known as The $15 Laptop. I spent an additional $10 for a CD drive (and I’d like to spend $5 on an extra hard-drive caddy — the thing’s built like a tank; a plastic tank, but a tank nonetheless).

The Compaq still has its original 3 GB hard drive (I think it’s an IBM drive, but it’s been so long since I’ve had it out of the case, I can’t remember).

The machine came to me with 64 GB of RAM. I boosted it to the maximum, which is a whopping 144 MB. The Pentium II MMX processor running at 233 MHz isn’t as bad as you’d think.

The machine has provided fodder for at least 50 blog entries, including a long series on which OS to run on it. I can’t remember if OpenBSD or Debian won at that time, but over the years it’s spent considerable time running Puppy Linux as well.

For at least a year I’ve had Debian Lenny on it. Since it’s a slow, memory- and disk-space-limited machine, I didn’t install the default GNOME desktop and all that comes along with it. I instead began with the “standard” install, then added X, the Xfce desktop (I could’ve gone with Xfce or Fvwm2, but I prefer Xfce …) and a very few (and select) applications: MtPaint for image editing, Geany for text editing, Opera for web browsing (although I added the much-slower Iceweasel/Firefox at some point), gFTP as the FTP client, and not much else.
[Read More…]


Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

Strict Standards: Non-static method StringParser_Node::destroyNode() should not be called statically, assuming $this from incompatible context in /home1/passjoe/public_html/debian/fp-plugins/bbcode/inc/stringparser.class.php on line 358

About

Steven Rosenberg writes about many things in many places, including Debian (and FlatPress) right here.

Categories


Strict Standards: Only variables should be passed by reference in /home1/passjoe/public_html/debian/fp-includes/smarty/plugins/function.list_categories.php on line 33

Strict Standards: Only variables should be passed by reference in /home1/passjoe/public_html/debian/fp-includes/smarty/plugins/function.list_categories.php on line 33

Strict Standards: Only variables should be passed by reference in /home1/passjoe/public_html/debian/fp-includes/smarty/plugins/function.list_categories.php on line 33

Strict Standards: Only variables should be passed by reference in /home1/passjoe/public_html/debian/fp-includes/core/core.fpdb.class.php on line 289

Admin area